summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorZhijiang Hu <hu.zhijiang@zte.com.cn>2017-03-03 09:03:20 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-03-03 09:03:20 +0000
commit35b6ee18ef8a4c3ee2b51c7447942d79941b06d1 (patch)
tree700a69fdf3f2d754cb854503d2b60df590866165
parent955030c520dc78c7da6b1d056e6e1ff64188df5e (diff)
parent6aa0d065c6d8f341a7307cf69e6afec2e2bdc682 (diff)
Merge "End deployment when timeout"
-rwxr-xr-xci/deploy/deploy.sh8
-rwxr-xr-xdeploy/check_openstack_progress.sh10
-rwxr-xr-xdeploy/check_os_progress.sh10
3 files changed, 26 insertions, 2 deletions
diff --git a/ci/deploy/deploy.sh b/ci/deploy/deploy.sh
index 7f57d01a..e7aba37b 100755
--- a/ci/deploy/deploy.sh
+++ b/ci/deploy/deploy.sh
@@ -49,7 +49,7 @@ sudo `basename $0` -b base_path
-l zte -p pod2 -B pxebr
-d ./deploy/config/vm_environment/zte-virtual1/deploy.yml
-n ./deploy/config/vm_environment/zte-virtual1/network.yml
- -r /opt/daisy -w /opt/daisy -l zte -p pod2
+ -r /opt/daisy -w /opt/daisy
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
EOF
}
@@ -323,12 +323,18 @@ ssh $SSH_PARAS $DAISY_IP "systemctl restart daisy-registry"
echo "===========check install progress==========="
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_os_progress.sh -d $IS_BARE -n $TARGET_HOSTS_NUM"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
sleep 10
if [ $IS_BARE == 0 ];then
virsh reboot all_in_one
fi
ssh $SSH_PARAS $DAISY_IP "${REMOTE_SPACE}/deploy/check_openstack_progress.sh"
+if [ $? -ne 0 ]; then
+ exit 1;
+fi
exit 0
diff --git a/deploy/check_openstack_progress.sh b/deploy/check_openstack_progress.sh
index c1c88eb8..bbd631b6 100755
--- a/deploy/check_openstack_progress.sh
+++ b/deploy/check_openstack_progress.sh
@@ -2,7 +2,17 @@
source /root/daisyrc_admin
echo "check openstack installing progress..."
cluster_id=`daisy cluster-list | awk -F "|" '{print $2}' | sed -n '4p'`
+
+maxcount=180
+count=0
+
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install openstack, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
openstack_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "active" `
openstack_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $12}' | grep -c "install-failed" `
if [ $openstack_install_active -eq 1 ]; then
diff --git a/deploy/check_os_progress.sh b/deploy/check_os_progress.sh
index abbd7e5a..c631a713 100755
--- a/deploy/check_os_progress.sh
+++ b/deploy/check_os_progress.sh
@@ -45,7 +45,15 @@ echo "run daisy install command"
daisy install $cluster_id --skip-pxe-ipmi $skip
echo "check os installing progress..."
+maxcount=180
+count=0
while true; do
+ if [ $count -gt $maxcount ]; then
+ echo "It took too long to install the os, exit 1."
+ exit 1
+ fi
+ count=$[count + 1]
+
os_install_active=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "active" `
os_install_failed=`daisy host-list --cluster-id $cluster_id | awk -F "|" '{print $8}' | grep -c "install-failed" `
if [ $os_install_active -eq $hosts_num ]; then
@@ -57,7 +65,7 @@ while true; do
else
progress=`daisy host-list --cluster-id $cluster_id |grep DISCOVERY_SUCCESSFUL |awk -F "|" '{print $7}'|sed s/[[:space:]]//g|sed ':a;N;$ s/\n/ /g;ba'`
echo "os in installing, the progress of each node is $progress%"
- sleep 10
+ sleep 30
fi
done
systemctl disable dhcpd